# $Revision: 1.78 $, $Date: 2012/01/16 11:33:52 $
# TODO: move Editra locale (.mo) files to system LC_MESSAGES dirs
%define		module	wxPython
Summary:	Cross platform GUI toolkit for Python
Summary(pl.UTF-8):	Wieloplatformowe narzędzie GUI dla Pythona
Name:		python-%{module}
Version:	2.8.12.1
Release:	1
License:	wxWindows Library Licence 3.1 (LGPL v2+ with exception)
Group:		Libraries/Python
Source0:	http://downloads.sourceforge.net/wxpython/%{module}-src-%{version}.tar.bz2
# Source0-md5:	8c06c5941477beee213b4f2fa78be620
Source1:	%{name}-wxversion-null.py
Patch0:		%{name}-CFLAGS.patch
URL:		http://wxpython.org/
BuildRequires:	gtk+2-devel >= 1:2.0.0
BuildRequires:	pkgconfig
BuildRequires:	python >= 1:2.5
BuildRequires:	python-devel >= 1:2.5
BuildRequires:	python-modules
BuildRequires:	rpm-pythonprov
BuildRequires:	wxGTK2-unicode-gl-devel >= 2.8.11
# optional: libgnomeprint >= 2.8 (if wx uses it), gstreamer 0.8
%pyrequires_eq	python-modules
Requires:	wxGTK2-unicode-gl >= 2.8.9
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
wxPython is a GUI toolkit for Python that is a wrapper around the
wxWidgets C++ GUI library. wxPython provides a large variety of window
types and controls, all implemented with a native look and feel (and
native runtime speed) on the platforms it is supported on.

%description -l pl.UTF-8
wxPython jest narzędziem GUI dla Pythona będącym nakładką na
bibliotekę GUI napisaną w C++ o nazwie wxWidgets. wxPython dostarcza
dużą liczbę typów okien, kontrolek.

%package devel
Summary:	Header and SWIG files for wxPython
Summary(pl.UTF-8):	Pliki nagłówkowe i SWIG dla wxPythona
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	wxWidgets-devel >= 2.8.7

%description devel
Header and SWIG files for wxPython.

%description devel -l pl.UTF-8
Pliki nagłówkowe i SWIG dla wxPythona.

%package editra
Summary:	Editra editor
Summary(pl.UTF-8):	Edytor Editra
Group:		Development/Tools
URL:		http://editra.org/
Requires:	%{name} = %{version}-%{release}

%description editra
Editra is a multi-platform text editor with an implementation that
focuses on creating an easy to use interface and features that aid in
code development. Currently it supports syntax highlighting and
variety of other useful features for over 50 programming languages.

%description editra -l pl.UTF-8
Editra to wieloplatformowy edytor tekstu, którego implementacja skupia
się na stworzeniu łatwego w użyciu interfejsu i możliwościach
pomagających w tworzeniu kodu. Aktualnie obsługuje podświetlanie
składni i różne przydatne ułatwienia dla ponad 50 języków
programowania.

%package xrced
Summary:	XRCed - XRC files editor
Summary(pl.UTF-8):	XRCed - edytor plików XRC
License:	BSD
Group:		Development/Tools
URL:		http://xrced.sourceforge.net/
Requires:	%{name} = %{version}-%{release}

%description xrced
XRCed is a simple resource editor for wxWidgets/wxPython GUI
development which supports creating and editing files in XRC format.
It is written in Python and uses wxPython GUI toolkit.

%description xrced -l pl.UTF-8
XRCed to prosty edytor zasobów do programowania w środowisku
graficznym wxWidgets/wxPython, pozwalający na tworzenie i
modyfikowanie plików w formacie XRC. Został napisany w Pythonie i
wykorzystuje toolkit graficzny wxPython.

%package examples
Summary:	wxPython example programs
Summary(pl.UTF-8):	Przykładowe programy wxPython
Group:		Libraries/Python
Requires:	%{name} = %{version}-%{release}

%description examples
wxPython example programs.

%description examples -l pl.UTF-8
Przykładowe programy w wxPythonie.

%prep
%setup -q -n %{module}-src-%{version}
%patch0 -p1

%build
cd wxPython
CFLAGS="%{rpmcflags}" \
%{__python} setup.py build \
	WX_CONFIG=%{_bindir}/wx-gtk2-unicode-config \
	UNICODE=1

%install
rm -rf $RPM_BUILD_ROOT
cd wxPython

%{__python} setup.py install \
	WX_CONFIG=%{_bindir}/wx-gtk2-unicode-config \
	INSTALL_MULTIVERSION=0 \
	UNICODE=1 \
	--optimize 2 \
	--root=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT%{py_sitedir}/wxversion.py

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a demo samples $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
rm -f $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}/samples/embedded/embedded
rm -f $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}/samples/embedded/embedded.o

mv $RPM_BUILD_ROOT%{py_sitedir}/wx/lib/editor/README.txt README.editor.txt
rm -r $RPM_BUILD_ROOT%{py_sitedir}/wx/tools/Editra/{AUTHORS,CHANGELOG,COPYING,FAQ,INSTALL,MANIFEST.in,NEWS,README,THANKS,TODO,docs/*.txt,setup.py*,tests,plugins/*.egg}

%py_ocomp $RPM_BUILD_ROOT%{py_sitedir}
%py_comp $RPM_BUILD_ROOT%{py_sitedir}
%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc wxPython/docs/{CHANGES.txt,MigrationGuide.txt,README.txt} wxPython/README.editor.txt
#don't remove these files, because this is licensing information
%doc docs/{licence.txt,licendoc.txt,preamble.txt}
%attr(755,root,root) %{_bindir}/helpviewer
%attr(755,root,root) %{_bindir}/img2png
%attr(755,root,root) %{_bindir}/img2py
%attr(755,root,root) %{_bindir}/img2xpm
%attr(755,root,root) %{_bindir}/pyalacarte
%attr(755,root,root) %{_bindir}/pyalamode
%attr(755,root,root) %{_bindir}/pycrust
%attr(755,root,root) %{_bindir}/pyshell
%attr(755,root,root) %{_bindir}/pywrap
%attr(755,root,root) %{_bindir}/pywxrc

%{py_sitedir}/wxversion.py[co]

%dir %{py_sitedir}/%{module}
%{py_sitedir}/%{module}/*.py[co]
%dir %{py_sitedir}/%{module}/lib
%{py_sitedir}/%{module}/lib/*.py[co]
%dir %{py_sitedir}/%{module}/lib/colourchooser
%{py_sitedir}/%{module}/lib/colourchooser/*.py[co]
%dir %{py_sitedir}/%{module}/lib/editor
%{py_sitedir}/%{module}/lib/editor/*.py[co]
%dir %{py_sitedir}/%{module}/lib/mixins
%{py_sitedir}/%{module}/lib/mixins/*.py[co]
%dir %{py_sitedir}/%{module}/tools
%{py_sitedir}/%{module}/tools/*.py[co]

%dir %{py_sitedir}/wx
%attr(755,root,root) %{py_sitedir}/wx/*.so
%{py_sitedir}/wx/*.py[co]
%dir %{py_sitedir}/wx/build
%{py_sitedir}/wx/build/*.py[co]
%dir %{py_sitedir}/wx/lib
%{py_sitedir}/wx/lib/*.py[co]
%dir %{py_sitedir}/wx/lib/analogclock
%{py_sitedir}/wx/lib/analogclock/*.py[co]
%dir %{py_sitedir}/wx/lib/analogclock/lib_setup
%{py_sitedir}/wx/lib/analogclock/lib_setup/*.py[co]
%dir %{py_sitedir}/wx/lib/art
%{py_sitedir}/wx/lib/art/*.py[co]
%dir %{py_sitedir}/wx/lib/colourchooser
%{py_sitedir}/wx/lib/colourchooser/*.py[co]
%dir %{py_sitedir}/wx/lib/editor
%{py_sitedir}/wx/lib/editor/*.py[co]
%dir %{py_sitedir}/wx/lib/floatcanvas
%{py_sitedir}/wx/lib/floatcanvas/*.py[co]
%dir %{py_sitedir}/wx/lib/floatcanvas/Utilities
%{py_sitedir}/wx/lib/floatcanvas/Utilities/*.py[co]
%dir %{py_sitedir}/wx/lib/masked
%{py_sitedir}/wx/lib/masked/*.py[co]
%dir %{py_sitedir}/wx/lib/mixins
%{py_sitedir}/wx/lib/mixins/*.py[co]
%dir %{py_sitedir}/wx/lib/ogl
%{py_sitedir}/wx/lib/ogl/*.py[co]
%dir %{py_sitedir}/wx/lib/agw
%{py_sitedir}/wx/lib/agw/*.py[co]
%dir %{py_sitedir}/wx/lib/agw/aui
%{py_sitedir}/wx/lib/agw/aui/*.py[co]
%dir %{py_sitedir}/wx/lib/agw/persist
%{py_sitedir}/wx/lib/agw/persist/*.py[co]
%dir %{py_sitedir}/wx/lib/agw/ribbon
%{py_sitedir}/wx/lib/agw/ribbon/*.py[co]
%dir %{py_sitedir}/wx/lib/pubsub
%{py_sitedir}/wx/lib/pubsub/*.py[co]
%dir %{py_sitedir}/wx/lib/pubsub/core
%{py_sitedir}/wx/lib/pubsub/core/*.py[co]
%dir %{py_sitedir}/wx/lib/pubsub/core/arg1
%{py_sitedir}/wx/lib/pubsub/core/arg1/*.py[co]
%dir %{py_sitedir}/wx/lib/pubsub/core/kwargs
%{py_sitedir}/wx/lib/pubsub/core/kwargs/*.py[co]
%dir %{py_sitedir}/wx/lib/pubsub/pubsub2
%{py_sitedir}/wx/lib/pubsub/pubsub2/*.py[co]
%dir %{py_sitedir}/wx/lib/pubsub/pubsub1
%{py_sitedir}/wx/lib/pubsub/pubsub1/*.py[co]
%dir %{py_sitedir}/wx/lib/pubsub/utils
%{py_sitedir}/wx/lib/pubsub/utils/*.py[co]
%dir %{py_sitedir}/wx/py
%{py_sitedir}/wx/py/*.ico
%{py_sitedir}/wx/py/*.py[co]
%doc %{py_sitedir}/wx/py/*.txt
%dir %{py_sitedir}/wx/tools
%{py_sitedir}/wx/tools/*.py[co]
%dir %{py_sitedir}/wx/tools/XRCed
%{py_sitedir}/wx/tools/XRCed/*.py[co]
%doc %{py_sitedir}/wx/tools/XRCed/*.txt
%{py_sitedir}/wx/tools/XRCed/*.xrc

%{py_sitedir}/wxPython-*.egg-info

%files devel
%defattr(644,root,root,755)
%{_includedir}/wx-2.8/wx/wxPython

%files editra
%defattr(644,root,root,755)
%doc wxPython/wx/tools/Editra/{AUTHORS,CHANGELOG,COPYING,FAQ,NEWS,README,THANKS,TODO,docs/*.txt}
%attr(755,root,root) %{_bindir}/editra
%dir %{py_sitedir}/wx/tools/Editra
%{py_sitedir}/wx/tools/Editra/__init__.py[co]
%{py_sitedir}/wx/tools/Editra/launcher.py[co]
%{py_sitedir}/wx/tools/Editra/Editra.pyw
%dir %{py_sitedir}/wx/tools/Editra/locale
%lang(ca) %{py_sitedir}/wx/tools/Editra/locale/ca_ES@valencia
%lang(cs) %{py_sitedir}/wx/tools/Editra/locale/cs_CZ
%lang(da) %{py_sitedir}/wx/tools/Editra/locale/da_DK
%lang(de) %{py_sitedir}/wx/tools/Editra/locale/de_DE
%lang(en) %{py_sitedir}/wx/tools/Editra/locale/en_US
%lang(es) %{py_sitedir}/wx/tools/Editra/locale/es_ES
%lang(fr) %{py_sitedir}/wx/tools/Editra/locale/fr_FR
%lang(gl) %{py_sitedir}/wx/tools/Editra/locale/gl_ES
%lang(hr) %{py_sitedir}/wx/tools/Editra/locale/hr_HR
%lang(hu) %{py_sitedir}/wx/tools/Editra/locale/hu_HU
%lang(it) %{py_sitedir}/wx/tools/Editra/locale/it_IT
%lang(ja) %{py_sitedir}/wx/tools/Editra/locale/ja_JP
%lang(lv) %{py_sitedir}/wx/tools/Editra/locale/lv_LV
%lang(nl) %{py_sitedir}/wx/tools/Editra/locale/nl_NL
%lang(nn) %{py_sitedir}/wx/tools/Editra/locale/nn_NO
%lang(pl) %{py_sitedir}/wx/tools/Editra/locale/pl_PL
%lang(pt_BR) %{py_sitedir}/wx/tools/Editra/locale/pt_BR
%lang(ru) %{py_sitedir}/wx/tools/Editra/locale/ru_RU
%lang(sk) %{py_sitedir}/wx/tools/Editra/locale/sk_SK
%lang(sl) %{py_sitedir}/wx/tools/Editra/locale/sl_SI
%lang(sr) %{py_sitedir}/wx/tools/Editra/locale/sr_RS
%lang(sv) %{py_sitedir}/wx/tools/Editra/locale/sv_SE
%lang(tr) %{py_sitedir}/wx/tools/Editra/locale/tr_TR
%lang(uk) %{py_sitedir}/wx/tools/Editra/locale/uk_UA
%lang(zh_CN) %{py_sitedir}/wx/tools/Editra/locale/zh_CN
%lang(zh_TW) %{py_sitedir}/wx/tools/Editra/locale/zh_TW
%{py_sitedir}/wx/tools/Editra/pixmaps
%dir %{py_sitedir}/wx/tools/Editra/src
%{py_sitedir}/wx/tools/Editra/src/*.py[co]
%dir %{py_sitedir}/wx/tools/Editra/src/autocomp
%{py_sitedir}/wx/tools/Editra/src/autocomp/*.py[co]
%dir %{py_sitedir}/wx/tools/Editra/src/eclib
%{py_sitedir}/wx/tools/Editra/src/eclib/*.py[co]
%dir %{py_sitedir}/wx/tools/Editra/src/extern
%{py_sitedir}/wx/tools/Editra/src/extern/*.py[co]
%dir %{py_sitedir}/wx/tools/Editra/src/extern/aui
%{py_sitedir}/wx/tools/Editra/src/extern/aui/*.py[co]
%dir %{py_sitedir}/wx/tools/Editra/src/extern/dexml
%{py_sitedir}/wx/tools/Editra/src/extern/dexml/*.py[co]
%dir %{py_sitedir}/wx/tools/Editra/src/extern/pygments
%{py_sitedir}/wx/tools/Editra/src/extern/pygments/*.py[co]
%dir %{py_sitedir}/wx/tools/Editra/src/extern/pygments/filters
%{py_sitedir}/wx/tools/Editra/src/extern/pygments/filters/*.py[co]
%dir %{py_sitedir}/wx/tools/Editra/src/extern/pygments/formatters
%{py_sitedir}/wx/tools/Editra/src/extern/pygments/formatters/*.py[co]
%dir %{py_sitedir}/wx/tools/Editra/src/extern/pygments/lexers
%{py_sitedir}/wx/tools/Editra/src/extern/pygments/lexers/*.py[co]
%dir %{py_sitedir}/wx/tools/Editra/src/extern/pygments/styles
%{py_sitedir}/wx/tools/Editra/src/extern/pygments/styles/*.py[co]
%dir %{py_sitedir}/wx/tools/Editra/src/syntax
%{py_sitedir}/wx/tools/Editra/src/syntax/*.py[co]
%dir %{py_sitedir}/wx/tools/Editra/src/ebmlib
%{py_sitedir}/wx/tools/Editra/src/ebmlib/*.py[co]
%{py_sitedir}/wx/tools/Editra/styles

%files xrced
%defattr(644,root,root,755)
%doc wxPython/wx/tools/XRCed/{CHANGES.txt,ChangeLog,README.txt,TODO.txt,license.txt}
%attr(755,root,root) %{_bindir}/xrced
%dir %{py_sitedir}/wx/tools/XRCed
%{py_sitedir}/wx/tools/XRCed/misc
%dir %{py_sitedir}/wx/tools/XRCed/plugins
%{py_sitedir}/wx/tools/XRCed/plugins/*.py[co]
%{py_sitedir}/wx/tools/XRCed/plugins/bitmaps
%{py_sitedir}/wx/tools/XRCed/plugins/gizmos.crx
%{py_sitedir}/wx/tools/XRCed/xrced.htb

%files examples
%defattr(644,root,root,755)
%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-wxPython.spec,v $
Revision 1.78  2012/01/16 11:33:52  arekm
- up to 2.8.12.1

Revision 1.77  2011/10/07 23:17:11  sls
- BR: wx >= 2.8.11

Revision 1.76  2011/03/13 11:08:13  arekm
- rel 3; avoid files duplicate

Revision 1.75  2010/12/04 18:55:19  qboosh
- cleanup

Revision 1.74  2010/12/04 18:49:25  qboosh
- package more Editra locales

Revision 1.73  2010/11/13 00:21:38  pawelz
- release 2

Revision 1.72  2010/09/29 12:24:12  rotom
- 2.8.11.0
- supports python2.7

Revision 1.71  2010/07/08 08:44:18  arekm
- release 5

Revision 1.70  2010/02/07 12:49:17  uzsolt
- rel 4
- rebuild (because of new wx* libraries)

Revision 1.69  2009/05/09 10:47:49  uzsolt
- rel 3
- stbr please (because of "version WXU_2.8.8 not defined")

Revision 1.68  2008/12/17 14:25:59  witekfl
- more files of the editra packaged. It works.
- rel 2

Revision 1.67  2008/11/21 11:27:02  mis
- up to 2.8.7

Revision 1.66  2008/10/03 18:03:24  arekm
- release 2

Revision 1.65  2007-12-01 16:41:15  qboosh
- updated to 2.8.7.1
- added -devel, -editra, -xrced as subpackages

Revision 1.64  2007-02-13 08:06:43  glen
- tabs in preamble

Revision 1.63  2007/02/12 01:06:29  baggins
- converted to UTF-8

Revision 1.62  2006/12/18 11:08:06  qboosh
- python epoch

Revision 1.61  2006/12/18 10:30:32  arekm
- builds with recent PLD wxWidgets; rel 1

Revision 1.60  2006/12/17 23:02:44  arekm
- needs not yet released wxWidgets

Revision 1.59  2006/10/07 08:17:49  patrys
- rebuild

Revision 1.58  2006/09/04 17:50:19  jareq
- updated to 2.6.3.3

Revision 1.57  2006/09/03 21:25:09  patrys
- rel up, rebuild

Revision 1.56  2006/08/28 12:24:51  arekm
- rel 3

Revision 1.55  2006/08/28 09:05:04  cieciwa
- release 2 - to build with new python.

Revision 1.54  2006/04/02 22:27:17  qboosh
- more files

Revision 1.53  2006/04/02 13:24:04  jareq
- updated to 2.6.3.0

Revision 1.52  2006/03/26 22:06:31  qboosh
- builds with wxWidgets >= 2.6.3

Revision 1.51  2006/03/16 20:27:45  glen
- 2.6.2.1, doesn't build

Revision 1.50  2006/03/13 07:37:10  qboosh
- updated License version, python epoch, BR: rpm-pythonprov

Revision 1.49  2005/12/24 22:11:31  arekm
- rel 3; provide simple and stupid wxversion.py that always returns that
  everything is ok (wxversion.py is a script used in multiversion installations
  of wxPython; unfortunatel some programs like SPE use it unconditionally even
  of singleversion installations)

Revision 1.48  2005/09/19 10:52:00  heretyk
- removed precompiled binaries from samples install (fixes build on non-intel
  archs)
- rel. 2

Revision 1.47  2005/08/20 22:02:42  twittner
- rel. 1

Revision 1.46  2005/08/20 22:01:53  twittner
- up to 2.6.1.0
- -CFLAGS.patch added (don't append -O3 or -O -g in 'debug mode')

Revision 1.45  2005/05/25 07:15:40  ankry
- kill more precompiled binaries, rel. 2

Revision 1.44  2005/04/27 10:37:38  troll
- updated to 2.6.0.0

Revision 1.43  2005/04/09 15:04:51  charles
- updated to 2.5.5.1
- wxGTK2 up to >= 2.5.5
- gtk+2-devel instead of glib-devel
- sorted BRs

Revision 1.42  2005/03/06 23:24:29  charles
- rm obsolete BR: rpm-pythonprov

Revision 1.41  2005/01/20 17:29:01  charles
- update to 2.5.3.1
- rel. 1 (it's built and works)

Revision 1.40  2005/01/15 21:00:50  qboosh
- missing dir

Revision 1.39  2004/12/24 10:58:40  wolf
- rel 5

Revision 1.38  2004/10/25 08:49:34  paladine
- [Gg]tk+ -> GTK+

Revision 1.37  2004/07/28 08:03:18  troll
- removed %include /usr/lib/rpm/macros.python

Revision 1.36  2004/04/09 12:40:34  qboosh
- fix build on amd64, release 4

Revision 1.35  2004/04/09 10:24:01  qboosh
- fix build on !x86

Revision 1.34  2004/04/09 09:33:08  qboosh
- fixed gizmosc build in contrib2 patch, .so perms, release 3

Revision 1.33  2004/01/06 20:26:08  yogib
- unified Source0 URL

Revision 1.32  2003/12/25 10:12:40  yoshi
- Ekhm... My fault, previously commited wrong spec version, sorry.

Revision 1.31  2003/12/25 10:00:13  yoshi
- Removed br: gcc-c++, as libstdc++-devel already requires it

Revision 1.30  2003/12/25 02:45:26  yoshi
- Another missing BR: libstdc++-devel

Revision 1.29  2003/12/25 01:34:20  yoshi
- Added missing BR: pkgconfig (sh: pkg-config: not found)

Revision 1.28  2003/12/25 00:58:40  yoshi
- Added missing BR: gcc-c++, tested on totally devel-free ac system.
- Error was: i686-pld-linux-gcc: installation problem, cannot exec
  `cc1plus': Nie ma takiego pliku ani katalogu

Revision 1.27  2003/12/25 00:43:01  yoshi
- Added missing br: python-devel (tested on totally devel-free ac)
- w/out it compilation fails in missing /usr/lib/python2.3/config/Makefile

Revision 1.26  2003/12/17 00:44:47  matkor
- Release 2 (ac). Intented to get rid of problems coming from unicode repr. in Python.

Revision 1.25  2003/11/11 12:17:40  qboosh
- chrpath is used (and required) only by rpm-build

Revision 1.24  2003/11/07 04:32:06  troll
- added missing BR

Revision 1.23  2003/10/08 15:12:50  wiget
- release 1
- added bcond info to Release

Revision 1.22  2003/10/08 15:10:50  wiget
- updated to 2.4.2.4

Revision 1.21  2003/09/10 12:05:30  wiget
- with GTK+ 2.x and UNICODE by default

Revision 1.20  2003/08/22 14:36:07  wiget
- fixed gizmos module

Revision 1.19  2003/08/12 22:32:52  ankry
- cosmetics

Revision 1.18  2003/08/01 11:49:04  wiget
- added contrib2.patch (don't compile wxContribs but use system libs)
- use new bconds
  and now UNICODE build work

Revision 1.17  2003/08/01 10:33:37  wiget
- finished updated to 2.4.1.2

Revision 1.16  2003/07/19 21:53:26  djrzulf
- md5sum

Revision 1.15  2003/07/19 21:47:54  djrzulf
- updated, due to updated wxWindow,

Revision 1.14  2003/05/28 13:01:31  malekith
- massive attack: source-md5

Revision 1.13  2003/05/25 06:26:04  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.12  2003/05/05 12:59:18  wiget
- ldconfig is not needed at all

Revision 1.11  2003/05/05 10:46:48  qboosh
- ldconfig deps are autogenerated here, so Prereq is not needed

Revision 1.10  2003/04/29 22:42:21  djrzulf
- added post && postun,
- release 0.3,

Revision 1.9  2003/04/29 10:14:41  wiget
- gtk2 bcond

Revision 1.8  2003/03/28 15:29:39  wiget
- up to 2.4.0.7
- fix BRs

Revision 1.7  2003/03/13 20:00:48  siefca
- path fixed (PyCrust/wxd)

Revision 1.6  2003/03/13 18:10:35  wiget
- up to 2.4.0.6

Revision 1.5  2003/03/13 17:29:02  wiget
- updated to 2.4.0.4

Revision 1.4  2003/03/10 14:37:09  qboosh
- working Source URL

Revision 1.3  2002/08/12 09:01:31  kloczek
- release 7: rebuild for generate correct dependences.

Revision 1.2  2002/06/25 17:27:15  mis
- added missing %defattr; release 6

Revision 1.1  2002/06/05 18:17:01  kloczek
- renamed wxPython.spec -> python-wxPython.spec.
